Subject: Re: [PATCH iwl-next v2 0/4] igb: XDP/ZC follow up

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Feb 2025 18:06:51 -0800

On Wed, 19 Feb 2025 08:39:08 +0100 Kurt Kanzenbach wrote:
> > My comment from the previous series still stands, which simply that
> > I have no idea if the maintainers will accept changes using this API
> > or prefer to wait until Stanislav's work [1] is completed to remove
> > the RTNL requirement from this API altogether.  
> 
> I'd rather consider patch #2 a bugfix to restore the busy polling with
> XDP/ZC. After commit 5ef44b3cb43b ("xsk: Bring back busy polling
> support") it is a requirement to implement this API.
> 
> The maintainers didn't speak up on v1, so i went along and sent v2.
> 
> @Jakub: What's your preference? Would you accept this series or rather
> like to wait for Stanislav's work to be finished?

No strong preference. If rtnl_lock is not causing any issues 
in this driver, the we can merge as is. I haven't followed 
the past discussions, tho.